package com.seer.teach.mall.convert;

import com.seer.teach.mall.entity.OrderLogEntity;
import com.seer.teach.mall.response.OrderLogResp;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface OrderLogConvert {

    OrderLogConvert INSTANCE = Mappers.getMapper(OrderLogConvert.class);

    OrderLogResp toResp(OrderLogEntity orderLogEntity);

    OrderLogEntity toEntity(OrderLogResp orderLogResp);

    List<OrderLogResp> toRespList(List<OrderLogEntity> orderLogEntities);
}
